summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-03-24 18:50:12 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-03-24 19:06:49 -0500
commitb24288edfe3af4cc9ba18b5a2e473338221ab457 (patch)
treee25e05ea64ddd6a1a5be2583d67569a3c6acb10e /sys-cluster/swift
parentapp-admin/glance: remove pike/queens (diff)
downloadgentoo-b24288edfe3af4cc9ba18b5a2e473338221ab457.tar.gz
gentoo-b24288edfe3af4cc9ba18b5a2e473338221ab457.tar.bz2
gentoo-b24288edfe3af4cc9ba18b5a2e473338221ab457.zip
sys-cluster/swift: remove pike/queens
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'sys-cluster/swift')
-rw-r--r--sys-cluster/swift/Manifest4
-rw-r--r--sys-cluster/swift/swift-2.17.0.ebuild114
-rw-r--r--sys-cluster/swift/swift-2.17.1.ebuild114
-rw-r--r--sys-cluster/swift/swift-2.19.0.ebuild122
-rw-r--r--sys-cluster/swift/swift-2.19.1.ebuild122
-rw-r--r--sys-cluster/swift/swift-2017.2.9999.ebuild115
-rw-r--r--sys-cluster/swift/swift-2018.1.9999.ebuild120
7 files changed, 0 insertions, 711 deletions
diff --git a/sys-cluster/swift/Manifest b/sys-cluster/swift/Manifest
index 3accd952cea..2be1cdab02e 100644
--- a/sys-cluster/swift/Manifest
+++ b/sys-cluster/swift/Manifest
@@ -1,5 +1 @@
-DIST swift-2.17.0.tar.gz 2527561 BLAKE2B baf8d2363bfd39062263542ddd01702e5f5847f3bbd2d227234da44ba742fa7e2bb6954569aab12082de67cfd785496a5530a0fc7613a0ad28d88bd62dbec9f8 SHA512 d5b13a63f549f1118eb1a27505a7444e09bedb532eed8e1ea34d370163dde2ce3e3911b9e4d6bea0d96f0a5c7d99bb103ed80ee8a547051fa29e9b4a09cced16
-DIST swift-2.17.1.tar.gz 2497165 BLAKE2B c400734ac42831bcecbff575aded3efce6ae33ccf46d4e48c58dc24409e5388663d2e81801b290f77550764a41de1393865e1175ab5995bd1044535844fdf595 SHA512 223fa5d9f47b3ffb81cc05b83e7f015392a568f3631344c5713c12f2667362c7bdd0a0a8b657a8caf2bcd1aec11dbcd5a0d582b50109b9b8f24ca6b53321411d
-DIST swift-2.19.0.tar.gz 2977206 BLAKE2B 05f53e7deb7948924ed36f7fcef164dd72254a90329e88a20ffae1f97ca632967d2e4de34a95c29008f8d636ec95b6860238f77f28b2f9f7ebe78ddb8c784a6c SHA512 fa6f08bacb7488762efaf8dd067cacd82adbc0ca773ee9b9c4a23d05d448eea9d79af2c9fbd619f4a458634e0af3cc3ce8fb8eb0d7cf0c10c7d3c28955000afd
-DIST swift-2.19.1.tar.gz 2936438 BLAKE2B 35f4c0d5ae3b5f0add9f3a076bcad7d707a6ea034e167fd6d648e9f02ef7c68e1e2d6538fd1934270e7db950320260b44abc5ae373890ecf39b24fa9bfce1d61 SHA512 1d6f9889cf29c747a50dc3a4983eb2a2be1dfedf07ce38167a2204d3c2690a2ff3cba58705afb0de60c702ffa63d3dfb84237925689d956df55cb11c59c26de6
DIST swift-2.20.0.tar.gz 3012428 BLAKE2B 48cfb52bce8d89836ede3d82cde197e282b55cec7fa9366c18102a2259a2c96553c573c92b884e6471a3ff5a5fc88ff3eeadbb200c691db3c6b20b6881132576 SHA512 15f1082a94f16684001b1d6eaa635500d41dd2ed0b65b87d8fc2363f96179cbc4d40a6faee10e966ad954e45035ed77c31dc265daa2c7c9d17a0e81890e6bc79
diff --git a/sys-cluster/swift/swift-2.17.0.ebuild b/sys-cluster/swift/swift-2.17.0.ebuild
deleted file mode 100644
index 9c09fe33ba4..00000000000
--- a/sys-cluster/swift/swift-2.17.0.ebuild
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
-HOMEPAGE="https://launchpad.net/swift"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="proxy account container object +memcached"
-REQUIRED_USE="|| ( proxy account container object )"
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}"
-
-RDEPEND="
- ${CDEPEND}
- >=dev-python/dnspython-1.14.0:0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/netifaces-0.5[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- dev-python/pyxattr[${PYTHON_USEDEP}]
- >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
- memcached? ( net-misc/memcached )
- net-misc/rsync[xattr]"
-
-pkg_pretend() {
- linux-info_pkg_setup
- CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
- ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
- ~ZFS"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
- done
- fi
-}
-
-pkg_setup() {
- enewuser swift
- enewgroup swift
-}
-
-src_prepare() {
- sed -i 's/xattr/pyxattr/g' requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-src_test () {
- # https://bugs.launchpad.net/swift/+bug/1249727
- find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
- SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- keepdir /etc/swift
- insinto /etc/swift
-
- newins "etc/swift.conf-sample" "swift.conf"
- newins "etc/rsyncd.conf-sample" "rsyncd.conf"
- newins "etc/mime.types-sample" "mime.types-sample"
- newins "etc/memcache.conf-sample" "memcache.conf-sample"
- newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
- newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
-
- if use proxy; then
- newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
- newins "etc/proxy-server.conf-sample" "proxy-server.conf"
- if use memcached; then
- sed -i '/depend/a\
- need memcached' "${D}/etc/init.d/swift-proxy"
- fi
- fi
- if use account; then
- newinitd "${FILESDIR}/swift-account.initd" "swift-account"
- newins "etc/account-server.conf-sample" "account-server.conf"
- fi
- if use container; then
- newinitd "${FILESDIR}/swift-container.initd" "swift-container"
- newins "etc/container-server.conf-sample" "container-server.conf"
- fi
- if use object; then
- newinitd "${FILESDIR}/swift-object.initd" "swift-object"
- newins "etc/object-server.conf-sample" "object-server.conf"
- newins "etc/object-expirer.conf-sample" "object-expirer.conf"
- fi
-
- fowners root:swift "/etc/swift" || die "fowners failed"
- fperms 0750 /etc/swift
-}
-
-pkg_postinst() {
- elog "Openstack swift will default to using insecure http unless a"
- elog "certificate is created in /etc/swift/cert.crt and the associated key"
- elog "in /etc/swift/cert.key. These can be created with the following:"
- elog " * cd /etc/swift"
- elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
-}
diff --git a/sys-cluster/swift/swift-2.17.1.ebuild b/sys-cluster/swift/swift-2.17.1.ebuild
deleted file mode 100644
index b754a1d2111..00000000000
--- a/sys-cluster/swift/swift-2.17.1.ebuild
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
-HOMEPAGE="https://launchpad.net/swift"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="proxy account container object +memcached"
-REQUIRED_USE="|| ( proxy account container object )"
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}"
-
-RDEPEND="
- ${CDEPEND}
- >=dev-python/dnspython-1.14.0:0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/netifaces-0.5[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- dev-python/pyxattr[${PYTHON_USEDEP}]
- >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
- memcached? ( net-misc/memcached )
- net-misc/rsync[xattr]"
-
-pkg_pretend() {
- linux-info_pkg_setup
- CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
- ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
- ~ZFS"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
- done
- fi
-}
-
-pkg_setup() {
- enewuser swift
- enewgroup swift
-}
-
-src_prepare() {
- sed -i 's/xattr/pyxattr/g' requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-src_test () {
- # https://bugs.launchpad.net/swift/+bug/1249727
- find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
- SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- keepdir /etc/swift
- insinto /etc/swift
-
- newins "etc/swift.conf-sample" "swift.conf"
- newins "etc/rsyncd.conf-sample" "rsyncd.conf"
- newins "etc/mime.types-sample" "mime.types-sample"
- newins "etc/memcache.conf-sample" "memcache.conf-sample"
- newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
- newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
-
- if use proxy; then
- newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
- newins "etc/proxy-server.conf-sample" "proxy-server.conf"
- if use memcached; then
- sed -i '/depend/a\
- need memcached' "${D}/etc/init.d/swift-proxy"
- fi
- fi
- if use account; then
- newinitd "${FILESDIR}/swift-account.initd" "swift-account"
- newins "etc/account-server.conf-sample" "account-server.conf"
- fi
- if use container; then
- newinitd "${FILESDIR}/swift-container.initd" "swift-container"
- newins "etc/container-server.conf-sample" "container-server.conf"
- fi
- if use object; then
- newinitd "${FILESDIR}/swift-object.initd" "swift-object"
- newins "etc/object-server.conf-sample" "object-server.conf"
- newins "etc/object-expirer.conf-sample" "object-expirer.conf"
- fi
-
- fowners root:swift "/etc/swift" || die "fowners failed"
- fperms 0750 /etc/swift
-}
-
-pkg_postinst() {
- elog "Openstack swift will default to using insecure http unless a"
- elog "certificate is created in /etc/swift/cert.crt and the associated key"
- elog "in /etc/swift/cert.key. These can be created with the following:"
- elog " * cd /etc/swift"
- elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
-}
diff --git a/sys-cluster/swift/swift-2.19.0.ebuild b/sys-cluster/swift/swift-2.19.0.ebuild
deleted file mode 100644
index 9127cdea86c..00000000000
--- a/sys-cluster/swift/swift-2.19.0.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
-HOMEPAGE="https://launchpad.net/swift"
-if [[ ${PV} == *9999 ]];then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/openstack/swift.git"
- EGIT_BRANCH="stable/pike"
-else
- SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
- KEYWORDS="amd64 ~arm64 x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="proxy account container object +memcached"
-REQUIRED_USE="|| ( proxy account container object )"
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}"
-
-RDEPEND="
- ${CDEPEND}
- >=dev-python/dnspython-1.14.0:0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- !~dev-python/eventlet-0.23.0[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/netifaces-0.5[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- dev-python/pyxattr[${PYTHON_USEDEP}]
- >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
- >=dev-python/ipaddress-1.0.16[${PYTHON_USEDEP}]
- memcached? ( net-misc/memcached )
- net-misc/rsync[xattr]"
-
-pkg_pretend() {
- linux-info_pkg_setup
- CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
- ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
- ~ZFS"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
- done
- fi
-}
-
-pkg_setup() {
- enewuser swift
- enewgroup swift
-}
-
-src_prepare() {
- sed -i 's/xattr/pyxattr/g' requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-src_test () {
- # https://bugs.launchpad.net/swift/+bug/1249727
- find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
- SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- keepdir /etc/swift
- insinto /etc/swift
-
- newins "etc/swift.conf-sample" "swift.conf"
- newins "etc/rsyncd.conf-sample" "rsyncd.conf"
- newins "etc/mime.types-sample" "mime.types-sample"
- newins "etc/memcache.conf-sample" "memcache.conf-sample"
- newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
- newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
-
- if use proxy; then
- newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
- newins "etc/proxy-server.conf-sample" "proxy-server.conf"
- if use memcached; then
- sed -i '/depend/a\
- need memcached' "${D}/etc/init.d/swift-proxy"
- fi
- fi
- if use account; then
- newinitd "${FILESDIR}/swift-account.initd" "swift-account"
- newins "etc/account-server.conf-sample" "account-server.conf"
- fi
- if use container; then
- newinitd "${FILESDIR}/swift-container.initd" "swift-container"
- newins "etc/container-server.conf-sample" "container-server.conf"
- fi
- if use object; then
- newinitd "${FILESDIR}/swift-object.initd" "swift-object"
- newins "etc/object-server.conf-sample" "object-server.conf"
- newins "etc/object-expirer.conf-sample" "object-expirer.conf"
- fi
-
- fowners root:swift "/etc/swift" || die "fowners failed"
- fperms 0750 /etc/swift
-}
-
-pkg_postinst() {
- elog "Openstack swift will default to using insecure http unless a"
- elog "certificate is created in /etc/swift/cert.crt and the associated key"
- elog "in /etc/swift/cert.key. These can be created with the following:"
- elog " * cd /etc/swift"
- elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
-}
diff --git a/sys-cluster/swift/swift-2.19.1.ebuild b/sys-cluster/swift/swift-2.19.1.ebuild
deleted file mode 100644
index 5faee1df0e0..00000000000
--- a/sys-cluster/swift/swift-2.19.1.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
-HOMEPAGE="https://launchpad.net/swift"
-if [[ ${PV} == *9999 ]];then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/openstack/swift.git"
- EGIT_BRANCH="stable/pike"
-else
- SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="proxy account container object +memcached"
-REQUIRED_USE="|| ( proxy account container object )"
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}"
-
-RDEPEND="
- ${CDEPEND}
- >=dev-python/dnspython-1.14.0:0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- !~dev-python/eventlet-0.23.0[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/netifaces-0.5[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- dev-python/pyxattr[${PYTHON_USEDEP}]
- >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
- >=dev-python/ipaddress-1.0.16[${PYTHON_USEDEP}]
- memcached? ( net-misc/memcached )
- net-misc/rsync[xattr]"
-
-pkg_pretend() {
- linux-info_pkg_setup
- CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
- ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
- ~ZFS"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
- done
- fi
-}
-
-pkg_setup() {
- enewuser swift
- enewgroup swift
-}
-
-src_prepare() {
- sed -i 's/xattr/pyxattr/g' requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-src_test () {
- # https://bugs.launchpad.net/swift/+bug/1249727
- find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
- SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- keepdir /etc/swift
- insinto /etc/swift
-
- newins "etc/swift.conf-sample" "swift.conf"
- newins "etc/rsyncd.conf-sample" "rsyncd.conf"
- newins "etc/mime.types-sample" "mime.types-sample"
- newins "etc/memcache.conf-sample" "memcache.conf-sample"
- newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
- newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
-
- if use proxy; then
- newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
- newins "etc/proxy-server.conf-sample" "proxy-server.conf"
- if use memcached; then
- sed -i '/depend/a\
- need memcached' "${D}/etc/init.d/swift-proxy"
- fi
- fi
- if use account; then
- newinitd "${FILESDIR}/swift-account.initd" "swift-account"
- newins "etc/account-server.conf-sample" "account-server.conf"
- fi
- if use container; then
- newinitd "${FILESDIR}/swift-container.initd" "swift-container"
- newins "etc/container-server.conf-sample" "container-server.conf"
- fi
- if use object; then
- newinitd "${FILESDIR}/swift-object.initd" "swift-object"
- newins "etc/object-server.conf-sample" "object-server.conf"
- newins "etc/object-expirer.conf-sample" "object-expirer.conf"
- fi
-
- fowners root:swift "/etc/swift" || die "fowners failed"
- fperms 0750 /etc/swift
-}
-
-pkg_postinst() {
- elog "Openstack swift will default to using insecure http unless a"
- elog "certificate is created in /etc/swift/cert.crt and the associated key"
- elog "in /etc/swift/cert.key. These can be created with the following:"
- elog " * cd /etc/swift"
- elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
-}
diff --git a/sys-cluster/swift/swift-2017.2.9999.ebuild b/sys-cluster/swift/swift-2017.2.9999.ebuild
deleted file mode 100644
index bba5692f08c..00000000000
--- a/sys-cluster/swift/swift-2017.2.9999.ebuild
+++ /dev/null
@@ -1,115 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils git-r3 linux-info user
-
-DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
-HOMEPAGE="https://launchpad.net/swift"
-EGIT_REPO_URI="https://github.com/openstack/swift.git"
-EGIT_BRANCH="stable/pike"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS=""
-IUSE="proxy account container object +memcached"
-REQUIRED_USE="|| ( proxy account container object )"
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}"
-
-RDEPEND="
- ${CDEPEND}
- >=dev-python/dnspython-1.14.0:0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/netifaces-0.5[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- dev-python/pyxattr[${PYTHON_USEDEP}]
- >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
- !~dev-python/cryptography-1.3.0[${PYTHON_USEDEP}]
- memcached? ( net-misc/memcached )
- net-misc/rsync[xattr]"
-
-pkg_pretend() {
- linux-info_pkg_setup
- CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
- ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
- ~ZFS"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
- done
- fi
-}
-
-pkg_setup() {
- enewuser swift
- enewgroup swift
-}
-
-src_prepare() {
- sed -i 's/xattr/pyxattr/g' requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-src_test () {
- # https://bugs.launchpad.net/swift/+bug/1249727
- find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
- SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- keepdir /etc/swift
- insinto /etc/swift
-
- newins "etc/swift.conf-sample" "swift.conf"
- newins "etc/rsyncd.conf-sample" "rsyncd.conf"
- newins "etc/mime.types-sample" "mime.types-sample"
- newins "etc/memcache.conf-sample" "memcache.conf-sample"
- newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
- newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
-
- if use proxy; then
- newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
- newins "etc/proxy-server.conf-sample" "proxy-server.conf"
- if use memcached; then
- sed -i '/depend/a\
- need memcached' "${D}/etc/init.d/swift-proxy"
- fi
- fi
- if use account; then
- newinitd "${FILESDIR}/swift-account.initd" "swift-account"
- newins "etc/account-server.conf-sample" "account-server.conf"
- fi
- if use container; then
- newinitd "${FILESDIR}/swift-container.initd" "swift-container"
- newins "etc/container-server.conf-sample" "container-server.conf"
- fi
- if use object; then
- newinitd "${FILESDIR}/swift-object.initd" "swift-object"
- newins "etc/object-server.conf-sample" "object-server.conf"
- newins "etc/object-expirer.conf-sample" "object-expirer.conf"
- fi
-
- fowners root:swift "/etc/swift" || die "fowners failed"
- fperms 0750 /etc/swift
-}
-
-pkg_postinst() {
- elog "Openstack swift will default to using insecure http unless a"
- elog "certificate is created in /etc/swift/cert.crt and the associated key"
- elog "in /etc/swift/cert.key. These can be created with the following:"
- elog " * cd /etc/swift"
- elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
-}
diff --git a/sys-cluster/swift/swift-2018.1.9999.ebuild b/sys-cluster/swift/swift-2018.1.9999.ebuild
deleted file mode 100644
index 39349853cf6..00000000000
--- a/sys-cluster/swift/swift-2018.1.9999.ebuild
+++ /dev/null
@@ -1,120 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="A highly available, distributed, and eventually consistent object/blob store"
-HOMEPAGE="https://launchpad.net/swift"
-if [[ ${PV} == *9999 ]];then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/openstack/swift.git"
- EGIT_BRANCH="stable/queens"
-else
- SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-IUSE="proxy account container object +memcached"
-REQUIRED_USE="|| ( proxy account container object )"
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}"
-
-RDEPEND="
- ${CDEPEND}
- >=dev-python/dnspython-1.14.0:0[${PYTHON_USEDEP}]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/netifaces-0.5[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.0[${PYTHON_USEDEP}]
- !~dev-python/netifaces-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- dev-python/pyxattr[${PYTHON_USEDEP}]
- >=dev-python/PyECLib-1.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/cryptography-2.0[${PYTHON_USEDEP}]
- memcached? ( net-misc/memcached )
- net-misc/rsync[xattr]"
-
-pkg_pretend() {
- linux-info_pkg_setup
- CONFIG_CHECK="~EXT3_FS_XATTR ~SQUASHFS_XATTR ~CIFS_XATTR ~JFFS2_FS_XATTR
- ~TMPFS_XATTR ~UBIFS_FS_XATTR ~EXT2_FS_XATTR ~REISERFS_FS_XATTR ~EXT4_FS_XATTR
- ~ZFS"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
- done
- fi
-}
-
-pkg_setup() {
- enewuser swift
- enewgroup swift
-}
-
-src_prepare() {
- sed -i 's/xattr/pyxattr/g' requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-src_test () {
- # https://bugs.launchpad.net/swift/+bug/1249727
- find . \( -name test_wsgi.py -o -name test_locale.py -o -name test_utils.py \) -delete || die
- SKIP_PIP_INSTALL=1 PBR_VERSION=0.6.0 sh .unittests || die
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- keepdir /etc/swift
- insinto /etc/swift
-
- newins "etc/swift.conf-sample" "swift.conf"
- newins "etc/rsyncd.conf-sample" "rsyncd.conf"
- newins "etc/mime.types-sample" "mime.types-sample"
- newins "etc/memcache.conf-sample" "memcache.conf-sample"
- newins "etc/drive-audit.conf-sample" "drive-audit.conf-sample"
- newins "etc/dispersion.conf-sample" "dispersion.conf-sample"
-
- if use proxy; then
- newinitd "${FILESDIR}/swift-proxy.initd" "swift-proxy"
- newins "etc/proxy-server.conf-sample" "proxy-server.conf"
- if use memcached; then
- sed -i '/depend/a\
- need memcached' "${D}/etc/init.d/swift-proxy"
- fi
- fi
- if use account; then
- newinitd "${FILESDIR}/swift-account.initd" "swift-account"
- newins "etc/account-server.conf-sample" "account-server.conf"
- fi
- if use container; then
- newinitd "${FILESDIR}/swift-container.initd" "swift-container"
- newins "etc/container-server.conf-sample" "container-server.conf"
- fi
- if use object; then
- newinitd "${FILESDIR}/swift-object.initd" "swift-object"
- newins "etc/object-server.conf-sample" "object-server.conf"
- newins "etc/object-expirer.conf-sample" "object-expirer.conf"
- fi
-
- fowners root:swift "/etc/swift" || die "fowners failed"
- fperms 0750 /etc/swift
-}
-
-pkg_postinst() {
- elog "Openstack swift will default to using insecure http unless a"
- elog "certificate is created in /etc/swift/cert.crt and the associated key"
- elog "in /etc/swift/cert.key. These can be created with the following:"
- elog " * cd /etc/swift"
- elog " * openssl req -new -x509 -nodes -out cert.crt -keyout cert.key"
-}